<?php
/**
 * Luxor base inclusion file.
 *
 * $Horde: luxor/lib/base.php,v 1.21 2004/10/19 00:45:49 chuck Exp $
 *
 * This file brings in all of the dependencies that every Luxor
 * script will need and sets up objects that all scripts use.
 */

// Check for a prior definition of HORDE_BASE (perhaps by an
// auto_prepend_file definition for site customization).
if (!defined('HORDE_BASE')) {
    @define('HORDE_BASE', dirname(__FILE__) . '/../..');
}

// Load the Horde Framework core, and set up inclusion paths.
require_once HORDE_BASE . '/lib/core.php';

// Registry.
if (Util::nonInputVar('session_control') == 'none') {
    $registry = &Registry::singleton(HORDE_SESSION_NONE);
} else {
    $registry = &Registry::singleton();
}
if (is_a(($pushed = $registry->pushApp('luxor', !defined('AUTH_HANDLER'))), 'PEAR_Error')) {
    if ($pushed->getCode() == 'permission_denied') {
        Horde::authenticationFailureRedirect(); 
    }
    Horde::fatal($pushed, __FILE__, __LINE__, false);
}
$conf = &$GLOBALS['conf'];
@define('LUXOR_TEMPLATES', $registry->get('templates'));

// Notification system.
$notification = &Notification::singleton();
$notification->attach('status');

// Find the base file path of Luxor.
@define('LUXOR_BASE', dirname(__FILE__) . '/..');

// Help.
require_once 'Horde/Help.php';

// Luxor base libraries.
require_once LUXOR_BASE . '/lib/Luxor.php';
require LUXOR_BASE . '/config/sources.php';

/* Default to the first source; overridden elsewhere if necessary. */
$sourceid = Util::getFormData('source', key($sources));
$source = $sources[$sourceid];
$files = &Luxor_Files::singleton($source['driver'], $source);
$index = &Luxor_Driver::singleton($sourceid);

/* Override $pathname with PATH_INFO if appropriate. */
$pathname = Util::getFormData('f');
if ($conf['options']['use_path_info'] && isset($_SERVER['PATH_INFO'])) {
    $pathname = $_SERVER['PATH_INFO'];
}
$pathname = Luxor::fixPaths($pathname);
