-- $Horde: luxor/scripts/sql/luxor.sql,v 1.3 2004/10/26 18:43:55 chuck Exp $

CREATE TABLE luxor_declarations (
    declid SMALLINT NOT NULL,
    langid SMALLINT NOT NULL DEFAULT 0,
    declaration char(255) NOT NULL DEFAULT '',
    PRIMARY KEY (declid)
);

CREATE TABLE luxor_files (
    fileid INT NOT NULL,
    source VARCHAR(255) NOT NULL DEFAULT '',
    filename VARCHAR(255) NOT NULL DEFAULT '',
    tag VARCHAR(255) NOT NULL DEFAULT '',
    lastmodified INT NOT NULL DEFAULT 0,
    PRIMARY KEY (fileid)
);

CREATE INDEX luxor_files_source ON luxor_files (source);
CREATE INDEX luxor_files_tag ON luxor_files (tag);
CREATE INDEX luxor_files_filename ON luxor_files (filename);

CREATE TABLE luxor_indexes (
    symid INT NOT NULL DEFAULT 0,
    fileid INT NOT NULL DEFAULT 0,
    line INT NOT NULL DEFAULT 0,
    declid SMALLINT NOT NULL DEFAULT 0
);

CREATE INDEX luxor_indexes_symid ON luxor_indexes (symid);
CREATE INDEX luxor_indexes_fileid ON luxor_indexes (fileid);
CREATE INDEX luxor_indexes_declid ON luxor_indexes (declid);

CREATE TABLE luxor_status (
    fileid INT NOT NULL DEFAULT 0,
    status SMALLINT NOT NULL DEFAULT 0,
    PRIMARY KEY (fileid)
);

CREATE TABLE luxor_symbols (
    symid INT NOT NULL,
    symname VARCHAR(255) NOT NULL DEFAULT '',
    source VARCHAR(255) NOT NULL DEFAULT '',
    PRIMARY KEY (symid)
);

CREATE INDEX luxor_symbols_symname ON luxor_symbols (symname);
CREATE INDEX luxor_symbols_source ON luxor_symbols (source);

CREATE TABLE luxor_usage (
    symid INT NOT NULL DEFAULT 0,
    fileid INT NOT NULL DEFAULT 0,
    line INT NOT NULL DEFAULT 0
);

CREATE INDEX luxor_usage_symid ON luxor_usage (symid);
CREATE INDEX luxor_usage_fileid ON luxor_usage (fileid);
